## update-manager 0.45

=== debian/changelog ===
update-manager (0.45) edgy; urgency=low

  * debian/control:
    - added dependency on python-gconf
    - removed recommends on python-gnome2

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 11 Oct 2006 18:32:17 +0200

update-manager (0.44.17) edgy; urgency=low

  * memory leak fixed (lp: #43096)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  9 Oct 2006 15:24:40 +0200

update-manager (0.44.16) edgy; urgency=low

  * fix proxy usage when runing in non-root mode (lp: #40626)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  6 Oct 2006 15:17:37 +0200

update-manager (0.44.15) edgy; urgency=low

  * added missing python-vte dependency (lp: #63609)
  * added missing gksu dependency (lp: #63572)
  * don't remove xchat automatically anymore on upgrade (leftover
    from breezy->dapper) (lp: #63881)
  * do not come up with bogus dist-upgrade suggestions
  * fix bad english grammar (lp: #63761, #63474)
  * fix in the edgyUpdates quirks handler (lp: #63723)
  * catch error from _tryMarkObsoleteForRemoval() (lp: #63617)
  * fix plural forms for ro, pl (lp: #46421)
  * properly escape comments before displaying them (lp: #63475)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  4 Oct 2006 21:10:40 +0200

update-manager (0.44.14) edgy; urgency=low

  * fix some incorrect i18n markings (lp: #62681)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  2 Oct 2006 14:41:52 +0200

update-manager (0.44.13) edgy; urgency=low

  * fix missing i18n declarations (lp: #62519)
  * data/glade/SoftwareProperties.glade:
    - fix missing "translatable" property (lp: #62681)
  * DistUpgrade:
    - deal better with the python transition and the hpijs 
      upgrade (lp: #62948)
  * UpdateManager/UpdateManager.py:
    - put the cancel button inside the text-area to avoid flickering
    - make sure that src_ver is always initialized (thanks to
      Simira for reporting)
    - filter python-apt future warning (especially for seb128)
  * DistUprade/DistUpgradeControler.py:
    - check for self.sources, self.aptcdrom before using it (lp: #61852)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 23 Sep 2006 00:53:06 +0200

update-manager (0.44.12) edgy; urgency=low

  * DistUpgrade/DistUpgradeViewGtk.py:
    - use '%d' instead of '%s' where appropriate (lp: #60239)
  * fixed lots of typos (lp: #60633)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Sep 2006 16:37:52 +0200

update-manager (0.44.11) edgy; urgency=low

  * UpdateManager/UpdateManager.py:
    - fix error in get_changelog (lp: #59940).
      Thanks to Denis Washington
    - bugfix in the ListStore
    - use the update-manager desktop file when runing synaptic
      as the backend to get a consistent UI
    - UI improvements (thanks to Sebastian Heinlein!)
    - remove branding

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 12 Sep 2006 20:37:55 +0200

update-manager (0.44.10) edgy; urgency=low

  * aptsources.py:
    - fix add_component() to avoid duplicated components
    - added MirrorsFile key to DistInfo code to have a better idea
      about the available mirrors
  * debian/control:
    - updated dbus dependencies (lp: #59862)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 11 Sep 2006 09:38:21 +0200

update-manager (0.44.9) edgy; urgency=low

  * SoftwareProperties/SoftwareProperties.py:
    - bugfix in the popcon enable code (lp: #59540)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat,  9 Sep 2006 02:13:40 +0200

update-manager (0.44.8) edgy; urgency=low

  * fix missing /var/log/dist-upgrade

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  8 Sep 2006 20:33:04 +0200

update-manager (0.44.7) edgy; urgency=low

  * UpdateManager/UpdateManager.py:
    - be more accurate about dependencies when the user selects only
      a supset of the packages

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  6 Sep 2006 12:29:05 +0200

update-manager (0.44.6) edgy; urgency=low

  * SoftwareProperties/SoftwareProperties.py:
    - fix inconsistency in the new software-sources dialog
  * integrate DistUpgrade code into UpdateManager to make sure
    that after e.g. a CDROM upgrade the rest of the system can still
    be fully upgraded over the net

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  5 Sep 2006 13:30:22 +0200

update-manager (0.44.5) edgy; urgency=low

  * install the DistUpgrade package too
  * data/channels/Ubuntu.info.in:
    - warty is no longer officially supported 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Aug 2006 11:32:24 +0200

update-manager (0.44.4) edgy; urgency=low

  * SoftwareProperties/SoftwareProperties.py:
    - don't bomb when searching for the mirror (lp: #57015)
  * UpdateManager/UpdateManager.py:
    - added "%s-proposed" to the list of known origins

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 24 Aug 2006 13:00:23 +0200

update-manager (0.44.3) edgy; urgency=low

  * help/C/update-manager-C.omf:
    - fix url (thanks to daniel holbach, lp: #45548)
  * show the units better
  * don't jump around on row activation 
    (thanks to Sebastian Heinlein)
  * send "inhibit sleep" to power-manager while applying 
    updates  (lp #40697)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 15 Aug 2006 18:06:53 +0200

update-manager (0.44.2) edgy; urgency=low

  * added select all/unselect all (thanks to Sebastian Heinlein)
  * wording fixes
  * fix update counting bug 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  3 Aug 2006 17:52:09 +0200

update-manager (0.44.1) edgy; urgency=low

  * make UpdateManager check for new distribution releases by
    default again
  * fix dist-upgrade fetching when run as non-root. 
  * sort the package list by the origin (UpdateManagerEdgy spec)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  2 Aug 2006 13:00:42 +0200

update-manager (0.44) edgy; urgency=low

  * new SoftwareProperties GUI (thanks to Sebastian Heinlein)
  * support easy Popcon pariticipation

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 28 Jul 2006 01:06:16 +0200

update-manager (0.43) edgy; urgency=low


=== debian/control ===
Source: update-manager
Section: gnome
Priority: optional
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends-Indep: debhelper (>= 4.0.0), libxml-parser-perl, scrollkeeper, intltool, python-dev
Standards-Version: 3.6.2

Package: update-manager
Architecture: all
Depends: ${python:Depends}, ${misc:Depends}, python, python-glade2, python-apt (>= 0.6.16.2), synaptic (>= 0.57.8), lsb-release,  python-gnupginterface, unattended-upgrades, gksu, iso-codes, python-dbus, python-vte, gksu, python-gconf
Description: GNOME application that manages apt updates
 This is the GNOME apt update manager. It checks for updates and lets the user
 choose which to install.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PKG=update-manager
DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)


build: build-stamp

build-stamp:  
	dh_testdir

	# Add here commands to compile the package.
	./setup.py build 
	#/usr/bin/docbook-to-man debian/update-manager.sgml > update-manager.1

	# intltool for rosetta
	(cd po; /usr/bin/intltool-update -p --verbose || true)

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp 

	# Add here commands to clean up after the build process.
	-$(MAKE) distclean
	rm -rf po/mo
	find . -name "*.pyc" -exec rm -f {} \;
ifneq "$(wildcard /usr/share/misc/config.sub)" ""
	cp -f /usr/share/misc/config.sub config.sub
endif
ifneq "$(wildcard /usr/share/misc/config.guess)" ""
	cp -f /usr/share/misc/config.guess config.guess
endif


	dh_clean 

install: build
	dh_testdir
	dh_testroot
	dh_clean -k 
	dh_installdirs

	# Add here commands to install the package into debian/update-manager.
	./setup.py install --prefix=$(CURDIR)/debian/$(PKG)/usr

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs ChangeLog
	dh_installdocs
	dh_scrollkeeper
	dh_installmime
	dh_desktop
	dh_iconcache
	dh_gconf
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

arch-build:
	rm -rf debian/arch-build
	mkdir -p debian/arch-build/$(PKG)-$(DEBVER)
	tar -c --exclude=arch-build --no-recursion -f - `bzr inventory` | (cd debian/arch-build/$(PKG)-$(DEBVER);tar xf -)
	(cd debian/arch-build/$(PKG)-$(DEBVER) && $(DEB_BUILD_PROG))

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install arch-build

## update-manager 0.45.2

=== data/channels/Makefile ===

DOMAIN=update-manager
INFO_IN_FILES := $(wildcard *.info.in)
INFO_FILES := $(patsubst %.info.in,%.info,$(wildcard *.info.in))

all: $(INFO_FILES)

%.info: %.info.in 
	sed 's/^_//g' < $< > $@
	intltool-extract --type=gettext/rfc822deb $<
	#intltool-merge -d ../po $< $@

clean:
	rm -f $(wildcard *.h)

=== debian/changelog ===
update-manager (0.45.2) edgy-updates; urgency=low

  * uploaded to edgy-updates after sru-verification by
    Brian Murray

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Mar 2007 19:38:52 +0100

update-manager (0.45.1) edgy-proposed; urgency=low

  * UpdateManager/DistUpgradeFetcher.py:
    - work even without ~/.gnupg dir (lp: #78673)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 10 Jan 2007 12:36:18 +0100

## update-manager 0.59.20

=== debian/changelog ===
update-manager (1:0.59.20) feisty; urgency=low

  * DistUpgrade/DistUpgradeViewKDE.py:
    - do not crash in utf8() if the str is already unicode 
      (LP#106863)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 16 Apr 2007 19:07:04 +0200

update-manager (1:0.59.19) feisty; urgency=low

  * DistUpgrade/DistUpgradeViewKDE.py:
    - disable apt-listchanges in the kde frontend too
    - fix broken terminal interaction (LP#106367)
    - ensure that there is only a single konsole widget 
      visible (LP#106541)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 14 Apr 2007 23:27:48 +0200

update-manager (1:0.59.18) feisty; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeViewKDE.py:
    - fix i18n initialization (LP#106221)

  [ Jonathan Riddell ]
  * DistUpgrade/DistUpgradeViewKDE.py:
    - fix encoding in dialog_error (LP#106221)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 13 Apr 2007 16:32:33 +0200

update-manager (1:0.59.17) feisty; urgency=low

  * DistUpgrade/DistUpgradeViewGtk.py:
    - fix crash in on_window_main_delete_event() (LP#104701)
  * DistUpgrade/apt-autoinst-fixup.py:
    - set mdadm to manually installed (LP#105663)
  * DistUpgrade/DistUpgradeControler.py:
    - add python symlink sanity check (LP#75557)
  * DistUpgrade/ReleaseAnnouncement:
    - prepare for the final version
  * po/
    - updated to the latest translations from rosetta
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 13 Apr 2007 11:22:01 +0200

update-manager (1:0.59.16) feisty; urgency=low

  * set useDevelopmentRelease=False in the self updater on 
    the CD (LP#99171)
  * fix another issue with a unresponsive GUI
  * work around upgrade issue with pango-libthai (LP#104384)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sun,  8 Apr 2007 12:35:00 +0200

update-manager (1:0.59.15) feisty; urgency=low

  * DistUpgrade/DistUpgradeControler.py:
    - keep the GUI alive while calculating the obsolete
      packages

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  4 Apr 2007 22:40:58 +0200

update-manager (1:0.59.14) feisty; urgency=low

  * DistUpgrade/DistUpgradeControler.py:
    - fix sources.list rewriting for people with internal or
      unofficial mirrors (LP#73463)
  * DistUpgrade/DistUpgradeCache.py:
    - workaround apache2/php5 upgrade failures (LP#95325)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  3 Apr 2007 16:08:58 +0200

update-manager (1:0.59.13) feisty; urgency=low

  * po/POTFILES.in:
    - reomove [type: ] this confused intltool
  * DistUpgradeControler.py:
    - work around problem with kde tempfile extraction 
      (LP#99380)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  2 Apr 2007 11:46:40 +0200

update-manager (1:0.59.12) feisty; urgency=low

  * DistUpgrade/DistUpgradeViewKDE.py:
    - set debian frontend to "kde"
  * DistUpgrade/DistUpgradeCache.py:
    - do not crash when uname -r can't be parsed (LP#97663)
    - remove the nfs upgrade question again, the kernel team
      fixed the regression
  * DistUpgrade/DistUpgradeApport.py:
    - do not crash if no apport gui is available (LP#97498)
  * DistUpgrade/DistUpgradeViewText.py:
    - support details in text-mode (LP#94129)
  * DistUpgrade/DistUpgradeControler.py:
    - fix incorrect auto-installed information from meta-pkgs 
      (LP#86921)
    - rewrite /etc/fstab cdrom entries (LP#86424,#79327)
    - fix upgrade for people with no admin group (LP#93279)
    - when encountering a error, first show the error dialog,
      then run the recover (LP#92366)
  * dist-upgrade.py:
    - support fallback when a frontend view can not be imported
      (LP#89568)
    - log the version of the upgrader as well
  * DistUpgrade/mirrors.cfg:
    - updated with the current mirror RSS feed from LP

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 Mar 2007 20:53:17 +0200

update-manager (1:0.59.11) feisty; urgency=low

  * DistUpgrade/DistUpgradeViewKDE.py:
    - fix crash in mediaChange (LP#96849)
  * DistUpgrade/DistUpgradeViewText.py:
    - fix crash on broken packages (LP#96444)
  * DistUpgrade/DistUpgradeCache.py:
    - ensure that the latest kernel is always selected (LP#96196)
    - added nfs-common check in feistyQuirks and ask to install
      it if it appears to be missing
  * DistUpgrade/DistUpgradeControler.py:
    - add any additional sanity check at the start of the upgrade
      to check if the base distro is supported

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 27 Mar 2007 22:48:54 +0200

update-manager (1:0.59.10) feisty; urgency=low

  [ Jonathan Riddell ]
  * DistUpgrade/DistUpgradeViewKDE.py:
    - i18n KDE frontend fixes, LP#95638, LP#94927
    - set text on confirm dialogue buttons
    - (re)spawn embedded konsole for each fork, 
      fixes crash when removing packages
    - Add on_window_main_delete_event, stops the user closing the window

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Mar 2007 23:56:31 +0100

update-manager (1:0.59.9) feisty; urgency=low

  [Sebastian Heinlein]
  * Hide help button - the outdated documentation is confusing (LP#44944)
  [Michael Vogt]
  * Use .update-manager-core dir
  * Fix bug in writable check for /var/lib/update-manager (LP#95599)
  * Ensure that /var/lib/update-manager is available
  * inhibit sleep when runing the release upgrader(LP#70058)
  * make sure that we do not run with a interactive debconf frontend 
    on server upgrade (for packages like quagga)
  * fix race condition in free space checking (LP#96482), thanks
    to Jane Silber for reporting

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 26 Mar 2007 11:29:00 +0200

update-manager (1:0.59.8) feisty; urgency=low

  * DistUpgrade/DistUpgradeViewKDE.py:
    - fix crash in error dialog (LP#94229)
    - i18n KDE frontend
  * DistUpgrade/DistUpgradeCache.py:
    - mention xubuntu-desktop too (LP#94443)
  * DistUpgrade/DistUpgradeCache.py:
    - fix in the logfile handling in server mode
  * DistUpgrade/DistUpgrade.cfg:
    - fix KeyDependency for xubuntu detection


=== debian/rules ===
#!/usr/bin/make -f

PKG=update-manager
DEBVER=$(shell LC_ALL=C dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p' | sed s/.*://)
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)

ARCH=all
DIST=$(shell lsb_release -c -s)
TARNAME=dist-upgrader_$(DEBVER)_$(ARCH).tar.gz

PYVERS=$(shell pyversions -vr)

build: build-stamp
build-stamp: $(PYVERS:%=build-python%)
build-python%:
	dh_testdir
	python$* setup.py build
	touch $@

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp
	python setup.py clean --all
	find . -name "*.so" -exec rm {} \;
	find . -name "*.o" -exec rm {} \;
	find . -name "*.pyc" -exec rm {} \;
	rm -f build-stamp
	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean
	dh_installdirs
	set -e; \
	for v in $(PYVERS); do \
	  python$$v setup.py install --prefix=$(CURDIR)/debian/tmp/usr; \
	done

# Build architecture-independent files here.
binary-indep: build install
	dh_testdir
	dh_testroot
	# now the dist-upgrader special tarball
	(cd DistUpgrade/ && \
	   ./build-tarball.sh && \
	   mkdir $(DEBVER)  && \
	   cp $(DIST).tar.gz ReleaseAnnouncement $(DEBVER) && \
	   tar czvf ../../$(TARNAME) $(DEBVER)/ReleaseAnnouncement $(DEBVER)/$(DIST).tar.gz )
	dpkg-distaddfile $(TARNAME) raw-dist-upgrader -

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_install
	dh_installchangelogs
	dh_installdocs
	dh_installexamples
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	DH_PYCENTRAL=nomove dh_pycentral
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch

arch-build: 
	# update the demotions
	(cd utils && ./demotions.py)
	(cd utils && ./update_mirrors.py ../DistUpgrade/mirrors.cfg)
	# update version
	echo "VERSION='$(DEBVER)'" > DistUpgrade/DistUpgradeVersion.py
	# build it
	rm -rf debian/arch-build
	mkdir -p debian/arch-build/$(PKG)-$(DEBVER)
	tar -c --exclude=arch-build --no-recursion -f - `bzr inventory` | (cd debian/arch-build/$(PKG)-$(DEBVER);tar xf -)
	(cd debian/arch-build/$(PKG)-$(DEBVER) && $(DEB_BUILD_PROG))

.PHONY: build clean binary-indep binary-arch binary install arch-build

## update-manager 0.59.25

=== debian/changelog ===
update-manager (1:0.59.25) feisty-proposed; urgency=low

  * fix missing imports (LP: #141060)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 19 Sep 2007 20:51:23 +0100

update-manager (1:0.59.24) feisty-proposed; urgency=low

  * UpdateManager/Core/MetaRelease.py:
    - fix target filename for meta-release files so that 
      correct I-M-S information is used (LP: #127263)
    - remove zero size meta-release files (LP: #127263)
  

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 07 Sep 2007 15:04:10 +0200

update-manager (1:0.59.23) feisty-proposed; urgency=low

  * debian/rules:
    - Add missing dh_gconf. This makes the automatic checking for
      new releases work again (LP#114569)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 May 2007 10:22:58 +0200

update-manager (1:0.59.22) feisty-proposed; urgency=low

  * DistUpgrade/DistUpgradeViewKDE.py:
    - use correct progressbar object in cdrom progress code
      and fix error in percent calculation (LP#107451)
  * DistUpgrade/DistUpgradeView.py:
    - send correct package failure information to logfile (LP#109209)
  * DistUpgrade/crashdialog.ui
    - Fix bug report URL in crash dialogue (LP#108969)
  * UpdateManager/Core/MetaRelease.py:
    - re-use the unchanged meta-release file information on I-M-S 304
      http response (LP#109216)
  * DistUpgrade/DistUpgradeCache.py:
    - check RemovalBlacklist early when removing a package to
      work-around crash in problem resolver (LP#109014)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 24 Apr 2007 12:59:59 +0200

update-manager (1:0.59.21) feisty-proposed; urgency=low

  * UpdateManager/Core/MetaRelease.py:
    - send pragma: no-cache (LP#107716)
    - fix bug in time representation for i-m-s (LP#107716)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 20 Apr 2007 10:43:08 +0200

## update-manager 0.59.26

=== debian/changelog ===
update-manager (1:0.59.26) feisty-proposed; urgency=low

  * support old-releases.ubuntu.com (LP: #241431) to make 
    the transition from edgy to feisty work

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 24 Jun 2008 22:50:35 +0200

=== debian/control ===
Source: update-manager
Section: gnome
Priority: optional
XS-Python-Version: all
Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
Build-Depends: debhelper (>= 5.0.38), python-all-dev, python-central (>= 0.5.6), python-kde3-dev, python-distutils-extra, python-apt (>= 0.6.20ubuntu12), lsb-release
Build-Depends-Indep: libxml-parser-perl, scrollkeeper, intltool
Standards-Version: 3.7.2

Package: update-manager-core
Architecture: any
Section: admin
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.6.16.2),  lsb-release,  python-gnupginterface
Replaces: update-manager (<< 0.56)
Conflicts: update-manager (<< 0.56)
Description: manage release upgrades
 This is the core of update-manager and the release upgrader


Package: update-manager
Architecture: all
XB-Python-Version: ${python:Versions}
Depends: ${python:Depends}, ${misc:Depends}, update-manager-core, python-glade2,  synaptic (>= 0.57.8), gksu, python-dbus, python-vte, python-gconf
Description: GNOME application that manages apt updates
 This is the GNOME apt update manager. It checks for updates and lets the user
 choose which to install.

=== debian/rules ===
--- 
+++ 
@@ -55,6 +55,7 @@
 	dh_testdir
 	dh_testroot
 	dh_install
+	dh_gconf
 	dh_installchangelogs
 	dh_installdocs
 	dh_installexamples

## update-manager 0.81

=== debian/changelog ===
update-manager (1:0.81) gutsy; urgency=low

  [ Jonathan Riddell ]
  * DistUpgrade/DistUpgradeViewKDE.py:
   - Add word wrap to quesiton dialogue
  
  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeControler.py:
    - make the commercial archive transition more robust
    - when forcing the evms removal, ensure that all 
      evms rdepends get obsoleted so that the safety checks
      in the upgrader do not kick in and prevent the removal
    - when calculating the size required in /boot take into account
      that installed initramfs images create a .bak file
  * updated list of demoted packages
  * updated ReleaseAnnouncement to include final text
  * updated demotions and mirrors to current gutsy

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 12 Oct 2007 19:08:34 +0200

update-manager (1:0.80) gutsy; urgency=low

  * DistUpgrade/DistUpgradeControler.py:
    - enable transition to gutsy partner repository on 
      upgrade now that we have a archive
    - workaround kde tempdir handling (LP: #149186)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 05 Oct 2007 20:11:32 +0200

update-manager (1:0.79) gutsy; urgency=low

  * DistUpgrade/DistUpgradeControler.py:
    - do not log apts debug output to the user in server
      upgrade mode
    - when running in partial upgrade mode, do not run apport,
      this is handled by the libapt apport integration now, 
      (LP:#139394)
  * DistUpgrade/DistUpgradeCache.py,DistUpgradeControler.py:  
    - detect and workaround upgrade issues with envy
  * update-manager:
    - show version with --version (LP: #137353)
  * DistUpgrade/DistUpgradeViewKDE.py:
    - fix crash with invalid utf-8 in polish locale (LP: #145351)
  * UpdateManager/UpdateManager.py:
    - remove debug output (LP: #145494)
  * DistUpgrade/DistUpgradeControler.py:
    - fix lock detection (LP: #145463)
  * UpdateManager/Common/utils.py:
    - show "0 KB" download size if there is nothing to download 
      (LP: #145308)
  * DistUpgrade/demoted.cfg, utils/demotions.py:
    - do not display demotions if they are replaced by something that is
      in main (e.g. gaim->pidgin, LP: #145767)
  * DistUpgrade/ReleaseAnnouncement:
    - update for the beta release
  * DistUpgrade/DistUpgradeControler.py:
    - fix typo in pre-requists (thanks to Stuart Bishop)
  * debian/control:
    - tighten update-manager depend on update-manager-core
  * UpdateManager/Core/DistUpgradeFetcherCore.py:
    - move country_mirror code into Core (LP: #145116)
  * UpdateManager/Core/MetaReleaseCore.py, 
    tests/interactive_fetch-release_upgrader.py:
    - fix test failure

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 01 Oct 2007 15:32:12 +0200

update-manager (1:0.78) gutsy; urgency=low

  * DistUpgrade/DistUpgradeViewKDE.py:
    - Fix button in conffile dialogue

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Sep 2007 23:09:35 +0100

update-manager (1:0.77) gutsy; urgency=low

  * DistUpgrade/DistUpgradeViewKDE.py:
    - fix crash in conffile dialogue setup

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 25 Sep 2007 14:22:55 +0100

update-manager (1:0.76) gutsy; urgency=low

  [ Michael Vogt ]
  * DistUpgrade/DistUpgradeCache.py:
    - ensure that the util-linux -> nfs-common transition
      happens (LP: #141559)

  [ Jonathan Riddell ]
  * DistUpgrade/DistUpgradeViewKDE.py:
    - copy Xauthority file if necessary

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 24 Sep 2007 19:49:17 +0200

update-manager (1:0.75) gutsy; urgency=low

  * DistUpgrade/DistUpgradeViewGtk.py:
    - work around broken vte forkpty() env add
  * DistUpgrade/DistUpgradeControler.py:
    - fix type of installed_demotions from apt.Package to pkgname
      (LP: #144417)
  * po/*.po:
    - updated from latest launchpad translations
  * UpdateManager/DistUpgradeFetcherCore.py:
    - fix missing command line propergation when run as non-root
      (LP: #144451)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 24 Sep 2007 10:52:16 +0200

update-manager (1:0.74) gutsy; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - ensure that users with the "lowlatency" kernel get 
      transitioned correctly to a new kernel (LP: #129458)
  * DistUpgrade/DistUpgradeControler.py:
    - work around kde being too clever in tempdirs (LP: #139319)
  * po/POTFILES.in:
    - add missing files (LP: #141033)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 19 Sep 2007 23:15:39 +0100

update-manager (1:0.73) gutsy; urgency=low

  * UpdateManager/UpdateManager.py:
    - display new installs in the list
  * UpdateManager/Common/utils.py:
    - fix countrymirror to deal with non-utf8 locales (LP: #138299)
  * tests/test_update_origin.py:
    - added test for this country_mirror()
  * DistUpgrade/DistUpgradeControler.py:
    - check trust of pre-requists files before downloading them
    - support pre-requists on the CD as well
    - preserve the logs on self update from the net
  * DistUpgrade/build-tarball.sh:
    - fix auto-generation of target distro in cdromupgrade 
      script (LP:#138354) 
  * data/update-manager.8:
    - new manpage (thanks to  Bruno Mangin, LP: #107015)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 13 Sep 2007 15:42:34 +0200

update-manager (1:0.72) gutsy; urgency=low

  * UpdateManager/Core/MetaRelease.py:
    - fix target filename for meta-release files so that 
      correct I-M-S information is used
  * DistUpgrade/DistUpgrade.cfg:
    - use "release-upgrader-dpkg", "release-upgrader-apt" as
      update-pre-requists to fully support dpkg triggers (LP: #134000)
    - add mythubuntu-desktop to the valid metapackages
  * DistUpgrade/DistUpgradeControler.py:
    - fix pre-requists fetching, do not run the resolver as the udebss
      are not installable on a regular system
    - generate more log information to make diagnosing problems easier
    - setup RELEASE_UPGRADE_IN_PROGRESS environemnt
    - use custom invoke-rc.d during the upgrade so that failures to
      restart a daemon are not fatal


=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 XS-Python-Version: all
 Maintainer: Michael Vogt <michael.vogt@ubuntu.com>
-Build-Depends: debhelper (>= 5.0.38), python-all-dev, python-central (>= 0.5.6), python-kde3-dev, python-distutils-extra, python-apt (>= 0.6.20ubuntu12), lsb-release
+Build-Depends: debhelper (>= 5.0.38), python-all-dev, python-central (>= 0.5.6), python-kde3-dev, python-distutils-extra (>= 1.90), python-apt (>= 0.6.20ubuntu12), lsb-release
 Build-Depends-Indep: libxml-parser-perl, scrollkeeper, intltool
 Standards-Version: 3.7.2
 
@@ -21,7 +21,7 @@
 Package: update-manager
 Architecture: all
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, ${misc:Depends}, update-manager-core, python-glade2,  synaptic (>= 0.57.8), gksu, python-dbus, python-vte, python-gconf
+Depends: ${python:Depends}, ${misc:Depends}, update-manager-core (= ${Source-Version}), python-glade2,  synaptic (>= 0.57.8), gksu, python-dbus, python-vte, python-gconf
 Description: GNOME application that manages apt updates
  This is the GNOME apt update manager. It checks for updates and lets the user
  choose which to install.

## update-manager 0.81.3

=== debian/changelog ===
update-manager (1:0.81.3) gutsy-proposed; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - honor APT::Get::AllowUnauthenticated setting and do not
      abort the upgrade if it is set (LP: #195419)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 25 Feb 2008 12:36:45 +0000

update-manager (1:0.81.2) gutsy-proposed; urgency=low

  * add ports.ubuntu.com to the list of valid mirros to ensure
    that ia64/hppa upgrade properly
  * fix incorrect prerequists sources.list name
    (LP: #172609)
  * write apt.log information in server mode

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 17 Dec 2007 14:45:36 +0100

update-manager (1:0.81.1) gutsy-proposed; urgency=low

  * Fix PreRequists fetching for ia64 and hppa (LP: #172609)
    Thanks to Lamont Jones for reporting

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 30 Nov 2007 15:57:15 +0100

=== debian/rules ===
--- 
+++ 
@@ -55,6 +55,10 @@
 	dh_testdir
 	dh_testroot
 	dh_install
+	dh_scrollkeeper
+	dh_installmime
+	dh_desktop
+	dh_iconcache
 	dh_gconf
 	dh_installchangelogs
 	dh_installdocs
@@ -77,6 +81,9 @@
 	# update the demotions
 	(cd utils && ./demotions.py)
 	(cd utils && ./update_mirrors.py ../DistUpgrade/mirrors.cfg)
+	# run the test-suit
+	echo "Runing integrated tests"
+	(cd tests && for test in *.py; do python $$test; done)
 	# update version
 	echo "VERSION='$(DEBVER)'" > DistUpgrade/DistUpgradeVersion.py
 	# build it

## update-manager 0.87.24

=== debian/changelog ===
update-manager (1:0.87.24) hardy; urgency=low

  * DistUpgrade/ReleaseAnnouncement:
    - modified https url to http so it is clickable (LP: #220386)
  * po/en_GB.po:
    - unfuzzy typo correction

 -- Brian Murray <brian@ubuntu.com>  Mon, 21 Apr 2008 14:58:17 -0700

update-manager (1:0.87.23) hardy; urgency=low

  * DistUpgrade/DistUpgrade.cfg.dapper:
    - Add 'bash' to BaseMetaPkgs. This is needed because ubuntu-meta
      was uploaded into dapper-updates and that means that we the
      detection of a missing main archive in sources.list will not
      work correctly (LP: #220078)
  * DistUpgrade/ReleaseAnnouncement:
    - updated in preparation for the final release

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 21 Apr 2008 18:07:31 +0200

update-manager (1:0.87.22) hardy; urgency=low

  * UpdateManager/UpdateManager.py:
    - only set http proxy if hostname/port is valid (LP: #219227)
  * DistUpgrade/DistUpgradeController.py: 
    - some more debug logging 
    - fix missing cache open
    - smaller default network time out
    - run the initial cache.update() on the unmodified sources.list
      with only a single retry because it may contain sources that 
      do not respond

 -- Michael Vogt <michael.vogt@ubuntu.com>  Sat, 19 Apr 2008 00:18:25 +0200

update-manager (1:0.87.21) hardy; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - transition sparc users to ports.ubuntu.com on upgrade
  * DistUpgrade/DistUpgrade.cfg.dapper:
    - point to ports.ubuntu.com when fetching 
      release-upgrader-{apt,dpkg} on dapper->hardy upgrades

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 17 Apr 2008 20:24:19 +0200

update-manager (1:0.87.20) hardy; urgency=low

  * DistUpgrade/DistUpgradeView.py:
    - fix incorrect _() call (thanks to Timo Jyrinki)
  * DistUpgrade/mirrors.cfg:
    - fix ports.ubuntu.com mirror URI (LP: #215346)
  * run dpkg with --force-overwrite by default on the server
    too to make the upgrade more robust. this can be overwriten
    with the RELEASE_UPGRADE_NO_FORCE_OVERWRITE environment

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 Apr 2008 21:37:49 +0200

update-manager (1:0.87.19) hardy; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - only try to upgrade held-back packages in the 
      edgyQuirks handler if they are actually upgradable 
      (thanks to Lamont Jones and James Troup)
  * po/fi.po
    - unfuzzy string (thanks to Timo Jyrinki)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 16 Apr 2008 20:51:05 +0200

update-manager (1:0.87.18) hardy; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - remove mail-notificaton, gnome-translate from hardy 
      quirks list (LP: #215690)
  * UpdateManager/DistUpgradeFetcher.py:
    - use sensible gksu prompt when asking for release
      upgrade (LP: #161888)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 Apr 2008 21:44:43 +0200

update-manager (1:0.87.17) hardy; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - when run from a CDROM upgrade on dapper, ensure to
      fetch the right files on tryUpdateSelf() (#215673)
    - ensure that language-support-$lang packages get
      upgraded if they are installed
  * UpdateManager/Core/MetaRelease.py:
    - support forceLTS option (#215673)
  * DistUpgrade/DistUpgradeView.py:
    - work around gutsy->hardy nvidia-glx uprade problem
      when libqt-perl is used (#205079)
  * DistUpgrade/ReleaseAnnouncement:
    - updated for RC

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 11 Apr 2008 22:34:06 +0200

update-manager (1:0.87.16) hardy; urgency=low

  * DistUpgrade/DistUpgradeViewText.py:
    - show prompt again after showing details 
    - use pager for long change entries
    (thanks to James Troup)
    - fix text wrap to not break lines on "-" (e.g. in package 
      names)
  * DistUpgradeController.py:
    - do not leave 20archive.save files around
    - make the code that asks about starting a new ssh daemon
      (if run under ssh) more robust
    - set status to "Calculating changes" again after displaying
      demoted packages
    - improve logging if prerequisites download fails
  * DistUpgrade/DistUpgradeCache.py:
    - improve the evms detection/removal (thanks to Lamont Jones)
  * DistUpgrade/DistUpgrade.cfg.dapper:
    - add "lvm2" to the KeepInstalledPkgs (LP: #211488)
    - sync RemoveObsoletes, ForcedObsoletes, KeepInstalledSections
      with DistUpgrade.cfg
    - text wrap questions too
  * po/*.po:
    - updated translations (LP: #210699)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 04 Apr 2008 18:54:13 +0200

update-manager (1:0.87.15) hardy; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - fix fd leak 
  * DistUpgrade/DistUpgradeController.py:
    - abort when debsig-verify is installed, it makes any
      upgrade fail (LP: #208957)
    - run migrate-fstab-to-uuid.sh as PostInstallScript (LP: #209347)
    - set RELEASE_UPGRADE_MODE={server,desktop} environment
  * DistUpgrade/DistUpgradeViewKDE.py:
    - fix crash/race in terminal key press handler (LP: #205445)
    - fix encoding issue (LP: #208390)
    - call it 8.04 LTS (LP: #204659)
  * DistUpgrade/DistUpgradeViewGtk.py:
    - fix incorrect pango attribute assignment (LP: #207742)
    - call it 8.04 LTS (LP: #204659)
  * UpdateManager/UpdateManager.py:
    - do not crash if gconf database is not writable (LP: #208687)
    - do not crash on BadStatusLine exceptions (LP: #204075)
  * po/*.po:
    - make update-po

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 01 Apr 2008 22:30:42 +0200

update-manager (1:0.87.14) hardy; urgency=low

  * DistUpgrade/ReleaseAnnouncement:
    - Fix typo
  * DistUpgrade/DistUpgradeViewKDE.py:
    - Add show/hide to upgrade package list
  * DistUpgrade/window_main.ui:
    - Sync strings with GTK frontend to pick up translations
    - Update icon to Oxygen
	
 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 21 Mar 2008 12:04:51 +0000

update-manager (1:0.87.13) hardy; urgency=low



=== debian/rules ===
--- 
+++ 
@@ -58,7 +58,7 @@
 	dh_scrollkeeper
 	dh_installmime
 	dh_desktop
-	dh_iconcache
+	dh_icons
 	dh_gconf
 	dh_installchangelogs
 	dh_installdocs
@@ -79,10 +79,11 @@
 
 arch-build: 
 	# update the demotions
-	(cd utils && ./demotions.py)
+	(cd utils && ./demotions.py gutsy hardy > demotions.cfg)
+	(cd utils && ./demotions.py dapper hardy > demotions.cfg.dapper)
 	(cd utils && ./update_mirrors.py ../DistUpgrade/mirrors.cfg)
 	# run the test-suit
-	echo "Runing integrated tests"
+	echo "Running integrated tests"
 	(cd tests && for test in *.py; do python $$test; done)
 	# update version
 	echo "VERSION='$(DEBVER)'" > DistUpgrade/DistUpgradeVersion.py

## update-manager 0.87.30

=== po/Makefile ===

top_srcdir=`pwd`/..

DOMAIN=update-manager
PO_FILES := $(wildcard *.po)
CONTACT=sebastian.heinlein@web.de

all: update-po

# update the pot
$(DOMAIN).pot:
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update -p -g $(DOMAIN)

# merge the new stuff into the po files
merge-po: $(PO_FILES)
	XGETTEXT_ARGS=--msgid-bugs-address=$(CONTACT) intltool-update -r -g $(DOMAIN); 

# create mo from the pos
%.mo : %.po
	mkdir -p mo/$(subst .po,,$<)/LC_MESSAGES/ 
	msgfmt $< -o mo/$(subst .po,,$<)/LC_MESSAGES/$(DOMAIN).mo 

# dummy target 
update-po: $(DOMAIN).pot merge-po $(patsubst %.po,%.mo,$(wildcard *.po))

=== debian/changelog ===
update-manager (1:0.87.30) hardy-proposed; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - work around problem with packages with no priority
      (LP: #253255)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Jul 2008 14:41:06 +0200

update-manager (1:0.87.29) hardy-proposed; urgency=low

  * fix sparc upgrades prerequisites fetching (LP: #239458)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 24 Jun 2008 22:10:03 +0200

update-manager (1:0.87.28) hardy-proposed; urgency=low

  * DistUpgrade/mirrors.cfg:
    - remove ftp.caliu.info (LP: #231966)
  * DistUpgrade/DistUpgradeController.py:
    - fix typo and unfuzzy translations (LP: #220505)
  * UpdateManager/UpdateManager.py, data/update-manager.schemas.in:
    - provide a gconf key /apps/update-manager/autoclose_install_window
      to make it possible to prevent automatic closing of the installation
      window (LP: #183209)
  * add extra paraonoia when adding a missing admin group
    (thanks to LaMont Jones) LP: #241723
  * DistUpgrade/DistUpgrade.cfg.dapper:
    - remove ports.ubuntu.com from powerpc, it is not available on
      ports.ubuntu.com but on archive.ubuntu.com (LP: #241729)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 03 Jun 2008 12:25:11 +0200

update-manager (1:0.87.27) hardy-proposed; urgency=low

  * DistUpgrade/DistUpgradeCache.py:
    - make networkless upgrades more robust (LP: #227197)
  * po/ko.po:
    - fix translation for y/n prompt so that korean users
      can actually continue (LP: #223419)
  * DistUpgrade/DistUpgradeViewGtk.py:
    - work around hang in svg loader (LP: #186465)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 09 May 2008 13:47:12 +0200

update-manager (1:0.87.26) hardy-proposed; urgency=low

  * DistUpgrade/DistUpgradeController.py:
    - run in server mode on a server CD (LP: #222895)
    - deal with the landscape.canonical.com repository
      (LP: #224308)
  * DistUpgrade/DistUpradeCache.py:
    - make the code more robust against unavailable
      package records (LP: #223619)
  * DistUpgrade/cdromupgrade:
    - allow passing of arguments (like --mode=server)
      to better support server upgrades with the dvd
      (LP: #222895)
  * po/uk.po:
    - fix translation so that it gets the expected 
      number of arguments (LP: #224294)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 30 Apr 2008 22:15:44 +0200

update-manager (1:0.87.25) hardy-proposed; urgency=low

  * DistUpgrade/DistUpgradeApport.py:
    - fix typo in log dir (LP: #223743)
  * DistUpgrade/DistUpgradeController.py:
    - if the "Crux" theme is used on dapper during the upgrade, 
      switch to "Human" because Crux is known to crash 
      (LP: #69124)
  * DistUpgrade/DistUpgradeCache.py:
    - do not crash if a meta package is not available in 
      the cache (e.g. xubuntu-desktop that moved from main 
      to universe)
  * DistUpgrade/DistUpgrade.cfg.dapper:
    - fix incorrect xubuntu-desktop detection
  * DistUpgrade/DistUpgradeView.py:
    - make sure that self.confirmChangesMessage is always 
      initialized (LP: #221023)
  * DistUpgrade/mirrors.cfg:
    - added missing russion mirror (LP: #221730)
    - fixed incorrect mirror lines
  * DistUpgrade/DistUpgrade.cfg:
    - better detection to missing dependencies to fix
      ubuntustudio-desktop upgrade problem (LP: #219659)
  * util/demotions.py:
    - do not consider powerpc anymore, its not available on
      archive.ubuntu.com anymore
  * debian/rules:
    - do not run tests in arch-build target (only useful
      when there is a development release available to upgrade to)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 29 Apr 2008 12:49:16 +0200

=== debian/control ===
--- 
+++ 
@@ -6,12 +6,13 @@
 Build-Depends: debhelper (>= 5.0.38), python-all-dev, python-central (>= 0.5.6), python-kde3-dev, python-distutils-extra (>= 1.90), python-apt (>= 0.6.20ubuntu12), lsb-release
 Build-Depends-Indep: libxml-parser-perl, scrollkeeper, intltool
 Standards-Version: 3.7.2
+XS-Vcs-Bzr: http://bazaar.launchpad.net/~ubuntu-core-dev/update-manager/main
 
 Package: update-manager-core
 Architecture: any
 Section: admin
 XB-Python-Version: ${python:Versions}
-Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.6.16.2),  lsb-release,  python-gnupginterface
+Depends: ${python:Depends}, ${misc:Depends}, python-apt (>= 0.7.4ubuntu5),  lsb-release,  python-gnupginterface
 Replaces: update-manager (<< 0.56)
 Conflicts: update-manager (<< 0.56)
 Description: manage release upgrades

=== debian/rules ===
--- 
+++ 
@@ -79,12 +79,12 @@
 
 arch-build: 
 	# update the demotions
-	(cd utils && ./demotions.py gutsy hardy > demotions.cfg)
-	(cd utils && ./demotions.py dapper hardy > demotions.cfg.dapper)
-	(cd utils && ./update_mirrors.py ../DistUpgrade/mirrors.cfg)
+	#(cd utils && ./demotions.py gutsy hardy > demotions.cfg)
+	#(cd utils && ./demotions.py dapper hardy > demotions.cfg.dapper)
+	#(cd utils && ./update_mirrors.py ../DistUpgrade/mirrors.cfg)
 	# run the test-suit
-	echo "Running integrated tests"
-	(cd tests && for test in *.py; do python $$test; done)
+	#echo "Running integrated tests"
+	#(cd tests && for test in *.py; do python $$test; done)
 	# update version
 	echo "VERSION='$(DEBVER)'" > DistUpgrade/DistUpgradeVersion.py
 	# build it

## update-manager 0.87.30netbook0belmont1

=== debian/changelog ===
update-manager (1:0.87.30netbook0belmont1) hardy; urgency=low

  * Merge new Ubuntu version
  * Reimplement custom upgrade repo URL change as a patch
    (15_custom_repo.patch)
  * Remove 12_update_belmont_pos.patch temporarily (must be
    regenerated)

 -- Gary Lasker <gary.lasker@canonical.com>  Wed, 03 Sep 2008 19:35:09 -0400

update-manager (1:0.87.27netbook0belmont3) hardy; urgency=low

  * Modify URL to point at custom upgrade repo

 -- Michael Frey <michael.frey@canonical.com>  Thu, 07 Aug 2008 12:00:09 -0400

update-manager (1:0.87.27netbook0belmont2) hardy; urgency=low

  * Update belmont pos: de, es, fr, hu, it, ja, pl, pt_BR, ru, zh_CN, zh_TW 

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Wed, 06 Aug 2008 13:44:30 +0000

update-manager (1:0.87.27netbook0belmont1) hardy; urgency=low

  * debian/rules:
    - Add support for simplepatchsys
  * Convert previous belmont UI changes to a patch: 10_netbook_ui.patch
    - Simplify the UI for use with netbooks
    - Change the title that is displayed when updates have been found
  * Modify 10_netbook_ui.patch to add back the "Check" button to the
    main window, and move the "Close" button back to the lower right
    corner per GNOME HIG.x

 -- Gary Lasker <gary.lasker@canonical.com>  Mon, 04 Aug 2008 17:56:27 -0400

## update-manager 0.87.30netbook0belmont2

=== debian/changelog ===
update-manager (1:0.87.30netbook0belmont2) hardy; urgency=low

  * Reapply po updates post sync and remove fuzzy for de es fr hu it ja pl pt_BR
    ru zh_CN zh_TW

 -- Kyle Nitzsche <kyle.nitzsche@canonical.com>  Thu, 04 Sep 2008 19:13:02 +0000

## update-manager 0.87.30netbook0belmont3

=== debian/changelog ===
update-manager (1:0.87.30netbook0belmont3) hardy; urgency=low

  * Added dell-mini.list to point to new repo
  * Modified debian/control to depend on canonical-oem-keyring

 -- Michael Frey <michael.frey@canonical.com>  Fri, 03 Apr 2009 11:27:57 -0400

## update-manager 0.87.30netbook0belmont3.1

=== debian/changelog ===
update-manager (1:0.87.30netbook0belmont3.1) hardy; urgency=low

  * debian/postinst: Ensure that dell-mini.list gets onto the
    filesystem (LP: #551232)

 -- Steve Magoun <steve.magoun@canonical.com>  Tue, 30 Mar 2010 09:48:18 -0400

## update-manager 0.87.30netbook0belmont3.2

=== debian/changelog ===
update-manager (1:0.87.30netbook0belmont3.2) hardy; urgency=low

  * debian/update-manager-core.postinst:
    - Rename from 'postinst'
    - Fix compare-versions test to account for update-manager epoch

 -- Steve Magoun <steve.magoun@canonical.com>  Tue, 30 Mar 2010 18:27:27 -0400
